Back to top

API Documentation

Room

Overview

A Room is basically a place where any number of rechat users (> 1) could chat.

Although the Room is basically a chat room, some other objects could be attached to it. Other concepts of Rechat like Alerts and recommendations are heavily linked to rooms. Files (file objects) can be attached to a room as well. That’s how images and documents are shared in a chat room.

It is important to remember that even a private discussion between two people happens on a chat room.

Get a user's Rooms

Get a user's Rooms
GET/rooms

Example URI

GET /rooms
URI Parameters
HideShow
associations
string (required) Example: room.owner,room.latest_message,room.users
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "type": "room",
      "id": "a352a69c-8454-4738-8e08-c60436af7d6d",
      "title": null,
      "owner": null,
      "created_at": 1791656536.542164,
      "updated_at": 1791656536.554521,
      "deleted_at": null,
      "room_type": "Direct",
      "new_notifications": 0,
      "latest_message": {
        "type": "message",
        "mid": "8668ea60-4220-4cf2-bcce-454c9663867f",
        "id": "8668ea60-4220-4cf2-bcce-454c9663867f",
        "comment": "John invited [email protected] to join.",
        "image_url": null,
        "document_url": null,
        "video_url": null,
        "recommendation": null,
        "author": null,
        "created_at": 1791656536.554521,
        "updated_at": 1791656536.554521,
        "room": "a352a69c-8454-4738-8e08-c60436af7d6d",
        "image_thumbnail_url": null,
        "deleted_at": null,
        "notification": {
          "type": "notification",
          "id": "7f5b5242-acad-4781-883a-8d985e241c9e",
          "object": "a352a69c-8454-4738-8e08-c60436af7d6d",
          "message": "John invited [email protected] to join.",
          "created_at": 1791656536.551037,
          "updated_at": 1791656536.551037,
          "room": "a352a69c-8454-4738-8e08-c60436af7d6d",
          "action": "Invited",
          "object_class": "Room",
          "subject": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
          "auxiliary_object_class": "User",
          "auxiliary_object": {
            "type": "user",
            "username": null,
            "first_name": "[email protected]",
            "last_name": "",
            "email": "[email protected]",
            "phone_number": null,
            "created_at": 1791656536.531659,
            "id": "36e2dd28-a2b2-4c1c-a39f-ed12846d3a8a",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1791656536.531667,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": false,
            "timezone": "America/Chicago",
            "user_type": "Client",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": true,
            "personal_room": "6192e447-e46f-4967-ae75-faf639c3364a",
            "brand": null,
            "fake_email": null,
            "features": null,
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": false,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": null,
            "bio": null,
            "current_time": "1:22 PM - Saturday Oct 10, 2026",
            "push_allowed": true,
            "agents": null,
            "last_seen_type": null,
            "active_brand": null,
            "display_name": "[email protected] ",
            "abbreviated_display_name": "[email protected]",
            "online_state": "Offline",
            "has_password": false
          },
          "recommendation": null,
          "auxiliary_subject": null,
          "subject_class": "User",
          "auxiliary_subject_class": null,
          "extra_subject_class": null,
          "extra_object_class": null,
          "deleted_at": null,
          "specific": null,
          "title": null,
          "data": null,
          "sound": null,
          "app": "rechat",
          "transports": null,
          "phone_number": null,
          "notification_type": "UserInvitedRoom",
          "seen": true,
          "recommendations": null,
          "objects": null,
          "subjects": [
            {
              "type": "user",
              "username": null,
              "first_name": "John",
              "last_name": "Doe",
              "email": "[email protected]",
              "phone_number": "+17038213223",
              "created_at": 1791656536.209472,
              "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
              "address_id": null,
              "cover_image_url": null,
              "profile_image_url": null,
              "updated_at": 1791656536.209491,
              "user_status": "Active",
              "profile_image_thumbnail_url": null,
              "cover_image_thumbnail_url": null,
              "email_confirmed": false,
              "timezone": "America/Chicago",
              "user_type": "Agent",
              "deleted_at": null,
              "phone_confirmed": false,
              "is_shadow": null,
              "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
              "brand": null,
              "fake_email": null,
              "features": null,
              "last_seen_at": null,
              "email_signature": "This is my signature.",
              "daily_enabled": false,
              "email_quota": 30000,
              "website": null,
              "instagram": null,
              "twitter": null,
              "linkedin": null,
              "youtube": null,
              "facebook": null,
              "designation": null,
              "tiktok": null,
              "mfa_enabled": false,
              "xpressdocs_user_id": null,
              "bio": "This is my bio.",
              "current_time": "1:22 PM - Saturday Oct 10, 2026",
              "push_allowed": true,
              "agents": null,
              "last_seen_type": null,
              "active_brand": null,
              "display_name": "John Doe",
              "abbreviated_display_name": "John",
              "online_state": "Offline",
              "has_password": true
            }
          ]
        },
        "reference": null,
        "mentions": null,
        "activity": null,
        "role": null,
        "attachments": [],
        "files": null,
        "email_campaigns": null,
        "contacts": null,
        "crm_tasks": null,
        "compact_listings": null,
        "input_forms": null,
        "artifacts": null,
        "websites": null,
        "social_posts": null,
        "print_campaigns": null,
        "template_instances": null,
        "brand_assets": null,
        "acked_by": null,
        "deliveries": null
      },
      "notification_settings": {
        "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf": "N_ALL"
      },
      "users": [
        {
          "type": "user",
          "username": null,
          "first_name": "[email protected]",
          "last_name": "",
          "email": "[email protected]",
          "phone_number": null,
          "created_at": 1791656536.531659,
          "id": "36e2dd28-a2b2-4c1c-a39f-ed12846d3a8a",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.531667,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Client",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": true,
          "personal_room": "6192e447-e46f-4967-ae75-faf639c3364a",
          "brand": null,
          "fake_email": null,
          "features": null,
          "last_seen_at": null,
          "email_signature": null,
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": null,
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "[email protected] ",
          "abbreviated_display_name": "[email protected]",
          "online_state": "Offline",
          "has_password": false
        },
        {
          "type": "user",
          "username": null,
          "first_name": "John",
          "last_name": "Doe",
          "email": "[email protected]",
          "phone_number": "+17038213223",
          "created_at": 1791656536.209472,
          "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.209491,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Agent",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": null,
          "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
          "brand": null,
          "fake_email": null,
          "features": null,
          "last_seen_at": null,
          "email_signature": "This is my signature.",
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": "This is my bio.",
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "John Doe",
          "abbreviated_display_name": "John",
          "online_state": "Offline",
          "has_password": true
        }
      ],
      "total_alerts": null,
      "total_favorites": null,
      "proposed_title": "[email protected]"
    },
    {
      "type": "room",
      "id": "735db31f-5006-49c2-a5f0-81fb38c339bb",
      "title": "sampleroom",
      "owner": {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+17038213223",
        "created_at": 1791656536.209472,
        "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.209491,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      },
      "created_at": 1791656536.361677,
      "updated_at": 1791656536.433522,
      "deleted_at": null,
      "room_type": "Group",
      "new_notifications": 0,
      "latest_message": {
        "type": "message",
        "mid": "48e7d451-5929-4c74-813f-6f342b329b3a",
        "id": "48e7d451-5929-4c74-813f-6f342b329b3a",
        "comment": "John invited +18598161689 to join.",
        "image_url": null,
        "document_url": null,
        "video_url": null,
        "recommendation": null,
        "author": null,
        "created_at": 1791656536.433522,
        "updated_at": 1791656536.433522,
        "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "image_thumbnail_url": null,
        "deleted_at": null,
        "notification": {
          "type": "notification",
          "id": "2a7d7963-ea46-4248-bfe2-a9d29b3b1926",
          "object": "735db31f-5006-49c2-a5f0-81fb38c339bb",
          "message": "John invited +18598161689 to join.",
          "created_at": 1791656536.429965,
          "updated_at": 1791656536.429965,
          "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
          "action": "Invited",
          "object_class": "Room",
          "subject": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
          "auxiliary_object_class": "User",
          "auxiliary_object": {
            "type": "user",
            "username": null,
            "first_name": "",
            "last_name": "",
            "email": "[email protected]",
            "phone_number": "+18598161689",
            "created_at": 1791656536.349459,
            "id": "a884856b-472f-4381-9c85-ab207588398e",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1791656536.349463,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": false,
            "timezone": "America/Chicago",
            "user_type": "Client",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": true,
            "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
            "brand": null,
            "fake_email": true,
            "features": null,
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": false,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": null,
            "bio": null,
            "current_time": "1:22 PM - Saturday Oct 10, 2026",
            "push_allowed": true,
            "agents": null,
            "last_seen_type": null,
            "active_brand": null,
            "display_name": "+18598161689",
            "abbreviated_display_name": "+18598161689",
            "online_state": "Offline",
            "has_password": false
          },
          "recommendation": null,
          "auxiliary_subject": null,
          "subject_class": "User",
          "auxiliary_subject_class": null,
          "extra_subject_class": null,
          "extra_object_class": null,
          "deleted_at": null,
          "specific": null,
          "title": null,
          "data": null,
          "sound": null,
          "app": "rechat",
          "transports": null,
          "phone_number": null,
          "notification_type": "UserInvitedRoom",
          "seen": true,
          "recommendations": null,
          "objects": null,
          "subjects": [
            {
              "type": "user",
              "username": null,
              "first_name": "John",
              "last_name": "Doe",
              "email": "[email protected]",
              "phone_number": "+17038213223",
              "created_at": 1791656536.209472,
              "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
              "address_id": null,
              "cover_image_url": null,
              "profile_image_url": null,
              "updated_at": 1791656536.209491,
              "user_status": "Active",
              "profile_image_thumbnail_url": null,
              "cover_image_thumbnail_url": null,
              "email_confirmed": false,
              "timezone": "America/Chicago",
              "user_type": "Agent",
              "deleted_at": null,
              "phone_confirmed": false,
              "is_shadow": null,
              "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
              "brand": null,
              "fake_email": null,
              "features": null,
              "last_seen_at": null,
              "email_signature": "This is my signature.",
              "daily_enabled": false,
              "email_quota": 30000,
              "website": null,
              "instagram": null,
              "twitter": null,
              "linkedin": null,
              "youtube": null,
              "facebook": null,
              "designation": null,
              "tiktok": null,
              "mfa_enabled": false,
              "xpressdocs_user_id": null,
              "bio": "This is my bio.",
              "current_time": "1:22 PM - Saturday Oct 10, 2026",
              "push_allowed": true,
              "agents": null,
              "last_seen_type": null,
              "active_brand": null,
              "display_name": "John Doe",
              "abbreviated_display_name": "John",
              "online_state": "Offline",
              "has_password": true
            }
          ]
        },
        "reference": null,
        "mentions": null,
        "activity": null,
        "role": null,
        "attachments": [],
        "files": null,
        "email_campaigns": null,
        "contacts": null,
        "crm_tasks": null,
        "compact_listings": null,
        "input_forms": null,
        "artifacts": null,
        "websites": null,
        "social_posts": null,
        "print_campaigns": null,
        "template_instances": null,
        "brand_assets": null,
        "acked_by": null,
        "deliveries": [
          {
            "user": "a884856b-472f-4381-9c85-ab207588398e",
            "delivery_type": "sms",
            "type": "notification_delivery",
            "created_at": "2026-10-10T18:22:16.489408+00:00"
          }
        ]
      },
      "notification_settings": {
        "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf": "N_ALL"
      },
      "users": [
        {
          "type": "user",
          "username": null,
          "first_name": "John",
          "last_name": "Doe",
          "email": "[email protected]",
          "phone_number": "+17038213223",
          "created_at": 1791656536.209472,
          "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.209491,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Agent",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": null,
          "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
          "brand": null,
          "fake_email": null,
          "features": null,
          "last_seen_at": null,
          "email_signature": "This is my signature.",
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": "This is my bio.",
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "John Doe",
          "abbreviated_display_name": "John",
          "online_state": "Offline",
          "has_password": true
        },
        {
          "type": "user",
          "username": null,
          "first_name": "",
          "last_name": "",
          "email": "[email protected]",
          "phone_number": "+18598161689",
          "created_at": 1791656536.349459,
          "id": "a884856b-472f-4381-9c85-ab207588398e",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.349463,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Client",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": true,
          "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
          "brand": null,
          "fake_email": true,
          "features": null,
          "last_seen_at": null,
          "email_signature": null,
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": null,
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "+18598161689",
          "abbreviated_display_name": "+18598161689",
          "online_state": "Offline",
          "has_password": false
        },
        {
          "type": "user",
          "username": null,
          "first_name": "[email protected]",
          "last_name": "",
          "email": "[email protected]",
          "phone_number": null,
          "created_at": 1791656536.348933,
          "id": "d9f0ef2b-1dcf-4cee-ae66-7a0de2c70476",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.348939,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Client",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": true,
          "personal_room": "c401c766-e4a6-4e3e-9415-5668a356c534",
          "brand": null,
          "fake_email": null,
          "features": null,
          "last_seen_at": null,
          "email_signature": null,
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": null,
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "[email protected] ",
          "abbreviated_display_name": "[email protected]",
          "online_state": "Offline",
          "has_password": false
        }
      ],
      "total_alerts": null,
      "total_favorites": null,
      "proposed_title": "[email protected], +18598161689"
    }
  ],
  "info": {
    "count": 2,
    "total": 2,
    "new": 0
  }
}

Create Room

Create Room
POST/rooms

Example URI

POST /rooms
URI Parameters
HideShow
associations
string (required) Example: room.owner,room.latest_message,room.users
Request
HideShow
Body
{
  "title": "sampleroom",
  "room_type": "Group",
  "phone_numbers": [
    "+18598161689"
  ],
  "emails": [
    "[email protected]"
  ],
  "owner": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
  "users": [
    {
      "user_id": "d9f0ef2b-1dcf-4cee-ae66-7a0de2c70476"
    },
    {
      "user_id": "a884856b-472f-4381-9c85-ab207588398e"
    }
  ]
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "type": "room",
    "id": "735db31f-5006-49c2-a5f0-81fb38c339bb",
    "title": "sampleroom",
    "owner": {
      "type": "user",
      "username": null,
      "first_name": "John",
      "last_name": "Doe",
      "email": "[email protected]",
      "phone_number": "+17038213223",
      "created_at": 1791656536.209472,
      "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1791656536.209491,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": false,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": null,
      "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
      "brand": null,
      "fake_email": null,
      "features": null,
      "last_seen_at": null,
      "email_signature": "This is my signature.",
      "daily_enabled": false,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": null,
      "bio": "This is my bio.",
      "current_time": "1:22 PM - Saturday Oct 10, 2026",
      "push_allowed": true,
      "agents": null,
      "last_seen_type": null,
      "active_brand": null,
      "display_name": "John Doe",
      "abbreviated_display_name": "John",
      "online_state": "Offline",
      "has_password": true
    },
    "created_at": 1791656536.361677,
    "updated_at": 1791656536.433522,
    "deleted_at": null,
    "room_type": "Group",
    "new_notifications": 0,
    "latest_message": {
      "type": "message",
      "mid": "48e7d451-5929-4c74-813f-6f342b329b3a",
      "id": "48e7d451-5929-4c74-813f-6f342b329b3a",
      "comment": "John invited +18598161689 to join.",
      "image_url": null,
      "document_url": null,
      "video_url": null,
      "recommendation": null,
      "author": null,
      "created_at": 1791656536.433522,
      "updated_at": 1791656536.433522,
      "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
      "image_thumbnail_url": null,
      "deleted_at": null,
      "notification": {
        "type": "notification",
        "id": "2a7d7963-ea46-4248-bfe2-a9d29b3b1926",
        "object": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "message": "John invited +18598161689 to join.",
        "created_at": 1791656536.429965,
        "updated_at": 1791656536.429965,
        "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "action": "Invited",
        "object_class": "Room",
        "subject": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "auxiliary_object_class": "User",
        "auxiliary_object": {
          "type": "user",
          "username": null,
          "first_name": "",
          "last_name": "",
          "email": "[email protected]",
          "phone_number": "+18598161689",
          "created_at": 1791656536.349459,
          "id": "a884856b-472f-4381-9c85-ab207588398e",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.349463,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Client",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": true,
          "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
          "brand": null,
          "fake_email": true,
          "features": null,
          "last_seen_at": null,
          "email_signature": null,
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": null,
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "+18598161689",
          "abbreviated_display_name": "+18598161689",
          "online_state": "Offline",
          "has_password": false
        },
        "recommendation": null,
        "auxiliary_subject": null,
        "subject_class": "User",
        "auxiliary_subject_class": null,
        "extra_subject_class": null,
        "extra_object_class": null,
        "deleted_at": null,
        "specific": null,
        "title": null,
        "data": null,
        "sound": null,
        "app": "rechat",
        "transports": null,
        "phone_number": null,
        "notification_type": "UserInvitedRoom",
        "seen": true,
        "recommendations": null,
        "objects": null,
        "subjects": [
          {
            "type": "user",
            "username": null,
            "first_name": "John",
            "last_name": "Doe",
            "email": "[email protected]",
            "phone_number": "+17038213223",
            "created_at": 1791656536.209472,
            "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1791656536.209491,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": false,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": null,
            "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
            "brand": null,
            "fake_email": null,
            "features": null,
            "last_seen_at": null,
            "email_signature": "This is my signature.",
            "daily_enabled": false,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": null,
            "bio": "This is my bio.",
            "current_time": "1:22 PM - Saturday Oct 10, 2026",
            "push_allowed": true,
            "agents": null,
            "last_seen_type": null,
            "active_brand": null,
            "display_name": "John Doe",
            "abbreviated_display_name": "John",
            "online_state": "Offline",
            "has_password": true
          }
        ]
      },
      "reference": null,
      "mentions": null,
      "activity": null,
      "role": null,
      "attachments": [],
      "files": null,
      "email_campaigns": null,
      "contacts": null,
      "crm_tasks": null,
      "compact_listings": null,
      "input_forms": null,
      "artifacts": null,
      "websites": null,
      "social_posts": null,
      "print_campaigns": null,
      "template_instances": null,
      "brand_assets": null,
      "acked_by": null,
      "deliveries": [
        {
          "user": "a884856b-472f-4381-9c85-ab207588398e",
          "delivery_type": "sms",
          "type": "notification_delivery",
          "created_at": "2026-10-10T18:22:16.489408+00:00"
        }
      ]
    },
    "notification_settings": {
      "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf": "N_ALL"
    },
    "users": [
      {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+17038213223",
        "created_at": 1791656536.209472,
        "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.209491,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      },
      {
        "type": "user",
        "username": null,
        "first_name": "",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": "+18598161689",
        "created_at": 1791656536.349459,
        "id": "a884856b-472f-4381-9c85-ab207588398e",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.349463,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
        "brand": null,
        "fake_email": true,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "+18598161689",
        "abbreviated_display_name": "+18598161689",
        "online_state": "Offline",
        "has_password": false
      },
      {
        "type": "user",
        "username": null,
        "first_name": "[email protected]",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1791656536.348933,
        "id": "d9f0ef2b-1dcf-4cee-ae66-7a0de2c70476",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.348939,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c401c766-e4a6-4e3e-9415-5668a356c534",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "[email protected] ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      }
    ],
    "total_alerts": null,
    "total_favorites": null,
    "proposed_title": "[email protected], +18598161689"
  }
}

Get Room

Get Room
GET/rooms/{id}

Example URI

GET /rooms/735db31f-5006-49c2-a5f0-81fb38c339bb
URI Parameters
HideShow
id
string (required) Example: 735db31f-5006-49c2-a5f0-81fb38c339bb
associations
string (required) Example: room.owner,room.latest_message,room.users
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "type": "room",
    "id": "735db31f-5006-49c2-a5f0-81fb38c339bb",
    "title": "sampleroom",
    "owner": {
      "type": "user",
      "username": null,
      "first_name": "John",
      "last_name": "Doe",
      "email": "[email protected]",
      "phone_number": "+17038213223",
      "created_at": 1791656536.209472,
      "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1791656536.209491,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": false,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": null,
      "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
      "brand": null,
      "fake_email": null,
      "features": null,
      "last_seen_at": null,
      "email_signature": "This is my signature.",
      "daily_enabled": false,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": null,
      "bio": "This is my bio.",
      "current_time": "1:22 PM - Saturday Oct 10, 2026",
      "push_allowed": true,
      "agents": null,
      "last_seen_type": null,
      "active_brand": null,
      "display_name": "John Doe",
      "abbreviated_display_name": "John",
      "online_state": "Offline",
      "has_password": true
    },
    "created_at": 1791656536.361677,
    "updated_at": 1791656536.433522,
    "deleted_at": null,
    "room_type": "Group",
    "new_notifications": 0,
    "latest_message": {
      "type": "message",
      "mid": "48e7d451-5929-4c74-813f-6f342b329b3a",
      "id": "48e7d451-5929-4c74-813f-6f342b329b3a",
      "comment": "John invited +18598161689 to join.",
      "image_url": null,
      "document_url": null,
      "video_url": null,
      "recommendation": null,
      "author": null,
      "created_at": 1791656536.433522,
      "updated_at": 1791656536.433522,
      "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
      "image_thumbnail_url": null,
      "deleted_at": null,
      "notification": {
        "type": "notification",
        "id": "2a7d7963-ea46-4248-bfe2-a9d29b3b1926",
        "object": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "message": "John invited +18598161689 to join.",
        "created_at": 1791656536.429965,
        "updated_at": 1791656536.429965,
        "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "action": "Invited",
        "object_class": "Room",
        "subject": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "auxiliary_object_class": "User",
        "auxiliary_object": {
          "type": "user",
          "username": null,
          "first_name": "",
          "last_name": "",
          "email": "[email protected]",
          "phone_number": "+18598161689",
          "created_at": 1791656536.349459,
          "id": "a884856b-472f-4381-9c85-ab207588398e",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.349463,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Client",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": true,
          "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
          "brand": null,
          "fake_email": true,
          "features": null,
          "last_seen_at": null,
          "email_signature": null,
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": null,
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "+18598161689",
          "abbreviated_display_name": "+18598161689",
          "online_state": "Offline",
          "has_password": false
        },
        "recommendation": null,
        "auxiliary_subject": null,
        "subject_class": "User",
        "auxiliary_subject_class": null,
        "extra_subject_class": null,
        "extra_object_class": null,
        "deleted_at": null,
        "specific": null,
        "title": null,
        "data": null,
        "sound": null,
        "app": "rechat",
        "transports": null,
        "phone_number": null,
        "notification_type": "UserInvitedRoom",
        "seen": true,
        "recommendations": null,
        "objects": null,
        "subjects": [
          {
            "type": "user",
            "username": null,
            "first_name": "John",
            "last_name": "Doe",
            "email": "[email protected]",
            "phone_number": "+17038213223",
            "created_at": 1791656536.209472,
            "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1791656536.209491,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": false,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": null,
            "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
            "brand": null,
            "fake_email": null,
            "features": null,
            "last_seen_at": null,
            "email_signature": "This is my signature.",
            "daily_enabled": false,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": null,
            "bio": "This is my bio.",
            "current_time": "1:22 PM - Saturday Oct 10, 2026",
            "push_allowed": true,
            "agents": null,
            "last_seen_type": null,
            "active_brand": null,
            "display_name": "John Doe",
            "abbreviated_display_name": "John",
            "online_state": "Offline",
            "has_password": true
          }
        ]
      },
      "reference": null,
      "mentions": null,
      "activity": null,
      "role": null,
      "attachments": [],
      "files": null,
      "email_campaigns": null,
      "contacts": null,
      "crm_tasks": null,
      "compact_listings": null,
      "input_forms": null,
      "artifacts": null,
      "websites": null,
      "social_posts": null,
      "print_campaigns": null,
      "template_instances": null,
      "brand_assets": null,
      "acked_by": null,
      "deliveries": [
        {
          "user": "a884856b-472f-4381-9c85-ab207588398e",
          "delivery_type": "sms",
          "type": "notification_delivery",
          "created_at": "2026-10-10T18:22:16.489408+00:00"
        }
      ]
    },
    "notification_settings": {
      "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf": "N_ALL"
    },
    "users": [
      {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+17038213223",
        "created_at": 1791656536.209472,
        "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.209491,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      },
      {
        "type": "user",
        "username": null,
        "first_name": "",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": "+18598161689",
        "created_at": 1791656536.349459,
        "id": "a884856b-472f-4381-9c85-ab207588398e",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.349463,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
        "brand": null,
        "fake_email": true,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "+18598161689",
        "abbreviated_display_name": "+18598161689",
        "online_state": "Offline",
        "has_password": false
      },
      {
        "type": "user",
        "username": null,
        "first_name": "[email protected]",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1791656536.348933,
        "id": "d9f0ef2b-1dcf-4cee-ae66-7a0de2c70476",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.348939,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c401c766-e4a6-4e3e-9415-5668a356c534",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "[email protected] ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      }
    ],
    "total_alerts": null,
    "total_favorites": null,
    "proposed_title": "[email protected], +18598161689"
  }
}

Add Users to a room

Add Users to a room
POST/rooms/{id}/users

You can add multiple users to a room in the same call

Example URI

POST /rooms/735db31f-5006-49c2-a5f0-81fb38c339bb/users
URI Parameters
HideShow
id
string (required) Example: 735db31f-5006-49c2-a5f0-81fb38c339bb
associations
string (required) Example: room.owner,room.latest_message,room.users
Request
HideShow
Body
{
  "users": [
    "eec6fb86-a0f1-41fc-a531-eac906be98fc"
  ]
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "type": "room",
    "id": "735db31f-5006-49c2-a5f0-81fb38c339bb",
    "title": "sampleroom",
    "owner": {
      "type": "user",
      "username": null,
      "first_name": "John",
      "last_name": "Doe",
      "email": "[email protected]",
      "phone_number": "+17038213223",
      "created_at": 1791656536.209472,
      "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1791656536.209491,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": false,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": null,
      "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
      "brand": null,
      "fake_email": null,
      "features": null,
      "last_seen_at": null,
      "email_signature": "This is my signature.",
      "daily_enabled": false,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": null,
      "bio": "This is my bio.",
      "current_time": "1:22 PM - Saturday Oct 10, 2026",
      "push_allowed": true,
      "agents": null,
      "last_seen_type": null,
      "active_brand": null,
      "display_name": "John Doe",
      "abbreviated_display_name": "John",
      "online_state": "Offline",
      "has_password": true
    },
    "created_at": 1791656536.361677,
    "updated_at": 1791656536.771516,
    "deleted_at": null,
    "room_type": "Group",
    "new_notifications": 0,
    "latest_message": {
      "type": "message",
      "mid": "c5adab4d-0e5a-4b73-90a6-d5d6a7320acb",
      "id": "c5adab4d-0e5a-4b73-90a6-d5d6a7320acb",
      "comment": "John invited John to join.",
      "image_url": null,
      "document_url": null,
      "video_url": null,
      "recommendation": null,
      "author": null,
      "created_at": 1791656536.771516,
      "updated_at": 1791656536.771516,
      "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
      "image_thumbnail_url": null,
      "deleted_at": null,
      "notification": {
        "type": "notification",
        "id": "4e3113e4-9c40-4f87-a887-26209e4b2504",
        "object": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "message": "John invited John to join.",
        "created_at": 1791656536.767924,
        "updated_at": 1791656536.767924,
        "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "action": "Invited",
        "object_class": "Room",
        "subject": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "auxiliary_object_class": "User",
        "auxiliary_object": {
          "type": "user",
          "username": null,
          "first_name": "John",
          "last_name": "Doe",
          "email": "[email protected]",
          "phone_number": "+989124834198",
          "created_at": 1791656536.298348,
          "id": "eec6fb86-a0f1-41fc-a531-eac906be98fc",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.298355,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Agent",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": null,
          "personal_room": "4c513e01-2a2b-4e9e-999e-27896b1e243c",
          "brand": null,
          "fake_email": null,
          "features": null,
          "last_seen_at": null,
          "email_signature": "This is my signature.",
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": "This is my bio.",
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "John Doe",
          "abbreviated_display_name": "John",
          "online_state": "Offline",
          "has_password": true
        },
        "recommendation": null,
        "auxiliary_subject": null,
        "subject_class": "User",
        "auxiliary_subject_class": null,
        "extra_subject_class": null,
        "extra_object_class": null,
        "deleted_at": null,
        "specific": null,
        "title": null,
        "data": null,
        "sound": null,
        "app": "rechat",
        "transports": null,
        "phone_number": null,
        "notification_type": "UserInvitedRoom",
        "seen": true,
        "recommendations": null,
        "objects": null,
        "subjects": [
          {
            "type": "user",
            "username": null,
            "first_name": "John",
            "last_name": "Doe",
            "email": "[email protected]",
            "phone_number": "+17038213223",
            "created_at": 1791656536.209472,
            "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1791656536.209491,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": false,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": null,
            "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
            "brand": null,
            "fake_email": null,
            "features": null,
            "last_seen_at": null,
            "email_signature": "This is my signature.",
            "daily_enabled": false,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": null,
            "bio": "This is my bio.",
            "current_time": "1:22 PM - Saturday Oct 10, 2026",
            "push_allowed": true,
            "agents": null,
            "last_seen_type": null,
            "active_brand": null,
            "display_name": "John Doe",
            "abbreviated_display_name": "John",
            "online_state": "Offline",
            "has_password": true
          }
        ]
      },
      "reference": null,
      "mentions": null,
      "activity": null,
      "role": null,
      "attachments": [],
      "files": null,
      "email_campaigns": null,
      "contacts": null,
      "crm_tasks": null,
      "compact_listings": null,
      "input_forms": null,
      "artifacts": null,
      "websites": null,
      "social_posts": null,
      "print_campaigns": null,
      "template_instances": null,
      "brand_assets": null,
      "acked_by": null,
      "deliveries": [
        {
          "user": "a884856b-472f-4381-9c85-ab207588398e",
          "delivery_type": "sms",
          "type": "notification_delivery",
          "created_at": "2026-10-10T18:22:16.834339+00:00"
        }
      ]
    },
    "notification_settings": {
      "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf": "N_ALL"
    },
    "users": [
      {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+17038213223",
        "created_at": 1791656536.209472,
        "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.209491,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      },
      {
        "type": "user",
        "username": null,
        "first_name": "",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": "+18598161689",
        "created_at": 1791656536.349459,
        "id": "a884856b-472f-4381-9c85-ab207588398e",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.349463,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
        "brand": null,
        "fake_email": true,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "+18598161689",
        "abbreviated_display_name": "+18598161689",
        "online_state": "Offline",
        "has_password": false
      },
      {
        "type": "user",
        "username": null,
        "first_name": "[email protected]",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1791656536.348933,
        "id": "d9f0ef2b-1dcf-4cee-ae66-7a0de2c70476",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.348939,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c401c766-e4a6-4e3e-9415-5668a356c534",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "[email protected] ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      },
      {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+989124834198",
        "created_at": 1791656536.298348,
        "id": "eec6fb86-a0f1-41fc-a531-eac906be98fc",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.298355,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "4c513e01-2a2b-4e9e-999e-27896b1e243c",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      }
    ],
    "total_alerts": null,
    "total_favorites": null,
    "proposed_title": "[email protected], +18598161689, John"
  }
}

Remove user from a room

Remove user from a room
DELETE/rooms/{rid}/users/{id}

Example URI

DELETE /rooms/735db31f-5006-49c2-a5f0-81fb38c339bb/users/a250c267-e8bb-4ef3-ba83-5e4f5e438ecf
URI Parameters
HideShow
rid
string (required) Example: 735db31f-5006-49c2-a5f0-81fb38c339bb
id
string (required) Example: a250c267-e8bb-4ef3-ba83-5e4f5e438ecf
Response  204

Attach a file to a room

Attach a file to a room
POST/rooms/{id}/attachments

Files are attached to a room by the Room role, so they are returned in the room’s attachments association. Attached files are always private.

A file can be given to a room in three different ways:

  • As a multipart/form-data upload, in which case the uploaded file itself becomes the room’s attachment.

  • As a JSON body of {"url": "<url>", "filename": "<filename>"}. Rechat downloads the file from url, stores it and attaches the copy to the room.

  • As a JSON body of {"file": "<file-id>"}. The file with the given id is copied and the copy is attached to the room.

The response is the resulting file object.

The extension of the filename must be one of the allowed upload types. Anything else is rejected with a Validation error.

Example URI

POST /rooms/735db31f-5006-49c2-a5f0-81fb38c339bb/attachments
URI Parameters
HideShow
id
string (required) Example: 735db31f-5006-49c2-a5f0-81fb38c339bb
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "11a07326-2e80-47a3-9a26-c9f0f16202a2",
    "created_at": 1791656537.036299,
    "updated_at": 1791656537.036299,
    "deleted_at": null,
    "created_by": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
    "path": "735db31f-5006-49c2-a5f0-81fb38c339bb/85ffe9b0-c4d7-11f1-89da-fb554657817f.jpg",
    "name": "sample.jpg",
    "public": false,
    "type": "file",
    "url": "https://private-cdn.irish.rechat.com/735db31f-5006-49c2-a5f0-81fb38c339bb/85ffe9b0-c4d7-11f1-89da-fb554657817f.jpg?Expires=1791742937037&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=VfILB69kfuu4IZwa2K5gS-8y-04lTyzJ330dQheRacxmxOk0qCSgAR7gP0ztX2xhQCQlLdUhh0RPifpcPrLOBJ0ZRHKH7jjfiW4hd0sBb~m3J7aSJcbEuFab0OhsBn3zXZQa3XnUvBX-6UuQTI1FbnO4d9OgzGFMFBeuXzfBsr2uzgtUShcraEBwlcmw9VDAt8K~L08ucqJvWJGtzxMAX~S-CKe88GpOTe-dOtBwz1BpSDes3YHv9pjaRYYbZiMDs69BOahNdv3G8inhUP7FueJi5fsLX2Ji21t-O3vnlAEtoPauJPGERcrTUdFoMe7ydFUhuIn8xYQXDS2SAGmMPA__",
    "preview_url": "https://private-cdn.irish.rechat.com/735db31f-5006-49c2-a5f0-81fb38c339bb/85ffe9b0-c4d7-11f1-89da-fb554657817f.jpg?Expires=1791742937037&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=VfILB69kfuu4IZwa2K5gS-8y-04lTyzJ330dQheRacxmxOk0qCSgAR7gP0ztX2xhQCQlLdUhh0RPifpcPrLOBJ0ZRHKH7jjfiW4hd0sBb~m3J7aSJcbEuFab0OhsBn3zXZQa3XnUvBX-6UuQTI1FbnO4d9OgzGFMFBeuXzfBsr2uzgtUShcraEBwlcmw9VDAt8K~L08ucqJvWJGtzxMAX~S-CKe88GpOTe-dOtBwz1BpSDes3YHv9pjaRYYbZiMDs69BOahNdv3G8inhUP7FueJi5fsLX2Ji21t-O3vnlAEtoPauJPGERcrTUdFoMe7ydFUhuIn8xYQXDS2SAGmMPA__",
    "mime": "image/jpeg"
  }
}
Request
HideShow
Body
{
  "url": "http://insta.com/sample.jpg",
  "filename": "sample.jpg"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "7b32a5db-e69f-47ad-974a-76892e02b4cd",
    "created_at": 1791656537.093041,
    "updated_at": 1791656537.093041,
    "deleted_at": null,
    "created_by": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
    "path": "735db31f-5006-49c2-a5f0-81fb38c339bb/86078ad1-c4d7-11f1-89da-fb554657817f.jpg",
    "name": "sample.jpg",
    "public": false,
    "type": "file",
    "url": "https://private-cdn.irish.rechat.com/735db31f-5006-49c2-a5f0-81fb38c339bb/86078ad1-c4d7-11f1-89da-fb554657817f.jpg?Expires=1791742937094&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=f75DrK7fCHFR6S4DZSeFyuHFBKbC2szEOmBA0746ck3WJgc8f~icOrjf31JzWCneIpEl49Kczc3fWlvo14E60wBeiBl2T4D41xUKO8y8M-qTj027QI0YUQ8rFYpRY7akiXLM~A7KCJaKsTXDPJu-pDNKlmF2NMpZzTEGuzvFWxvKHw~2x4jMVIfNZQ2it9M7QZ8qcSkZNzZFuH7ZQWueBVS98lkqG31U1WcjiimaN-odIrV04vnhMwXbX3gcCnwPZkTOA0k99cGOBODY37yf1B6KuYd7WKjfH9Z3p72Qlv8q8J4JWXOl23R5xHzifKuK-bYvTgeurPyPh7PMyKVOSQ__",
    "preview_url": "https://private-cdn.irish.rechat.com/735db31f-5006-49c2-a5f0-81fb38c339bb/86078ad1-c4d7-11f1-89da-fb554657817f.jpg?Expires=1791742937094&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=f75DrK7fCHFR6S4DZSeFyuHFBKbC2szEOmBA0746ck3WJgc8f~icOrjf31JzWCneIpEl49Kczc3fWlvo14E60wBeiBl2T4D41xUKO8y8M-qTj027QI0YUQ8rFYpRY7akiXLM~A7KCJaKsTXDPJu-pDNKlmF2NMpZzTEGuzvFWxvKHw~2x4jMVIfNZQ2it9M7QZ8qcSkZNzZFuH7ZQWueBVS98lkqG31U1WcjiimaN-odIrV04vnhMwXbX3gcCnwPZkTOA0k99cGOBODY37yf1B6KuYd7WKjfH9Z3p72Qlv8q8J4JWXOl23R5xHzifKuK-bYvTgeurPyPh7PMyKVOSQ__",
    "mime": "image/jpeg"
  }
}
Request
HideShow
Body
{
  "url": "http://insta.com/malware.exe",
  "filename": "malware.exe"
}
Response  400
HideShow
Body
{
  "trace": true,
  "http": 400,
  "message": "You can only upload a file with following extensions: png, gif, jpg, jpeg, docx, doc, pdf, xls, xlsx, mp4, mov, webm, txt, csv, heic, mp4, html, pages, svg",
  "code": "Validation",
  "retry": false,
  "slack": false
}

Get a room's files

Get a room's files
GET/rooms/{id}?associations[]=room.attachments

A room keeps its files in the attachments association. It is disabled by default, so it is only returned when it is explicitly requested as associations[]=room.attachments. Requesting it returns the fully loaded file objects of the room.

Example URI

GET /rooms/735db31f-5006-49c2-a5f0-81fb38c339bb?associations[]=room.attachments
URI Parameters
HideShow
id
string (required) Example: 735db31f-5006-49c2-a5f0-81fb38c339bb
associations
string (required) Example: room.owner,room.latest_message,room.users,room.attachments
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "type": "room",
    "id": "735db31f-5006-49c2-a5f0-81fb38c339bb",
    "title": "updated_title",
    "owner": {
      "type": "user",
      "username": null,
      "first_name": "John",
      "last_name": "Doe",
      "email": "[email protected]",
      "phone_number": "+17038213223",
      "created_at": 1791656536.209472,
      "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1791656536.209491,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": false,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": null,
      "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
      "brand": null,
      "fake_email": null,
      "features": null,
      "last_seen_at": null,
      "email_signature": "This is my signature.",
      "daily_enabled": false,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": null,
      "bio": "This is my bio.",
      "current_time": "1:22 PM - Saturday Oct 10, 2026",
      "push_allowed": true,
      "agents": null,
      "last_seen_type": null,
      "active_brand": null,
      "display_name": "John Doe",
      "abbreviated_display_name": "John",
      "online_state": "Offline",
      "has_password": true
    },
    "created_at": 1791656536.361677,
    "updated_at": 1791656536.771516,
    "deleted_at": null,
    "room_type": "Group",
    "new_notifications": 0,
    "latest_message": {
      "type": "message",
      "mid": "c5adab4d-0e5a-4b73-90a6-d5d6a7320acb",
      "id": "c5adab4d-0e5a-4b73-90a6-d5d6a7320acb",
      "comment": "John invited John to join.",
      "image_url": null,
      "document_url": null,
      "video_url": null,
      "recommendation": null,
      "author": null,
      "created_at": 1791656536.771516,
      "updated_at": 1791656536.771516,
      "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
      "image_thumbnail_url": null,
      "deleted_at": null,
      "notification": {
        "type": "notification",
        "id": "4e3113e4-9c40-4f87-a887-26209e4b2504",
        "object": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "message": "John invited John to join.",
        "created_at": 1791656536.767924,
        "updated_at": 1791656536.767924,
        "room": "735db31f-5006-49c2-a5f0-81fb38c339bb",
        "action": "Invited",
        "object_class": "Room",
        "subject": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "auxiliary_object_class": "User",
        "auxiliary_object": {
          "type": "user",
          "username": null,
          "first_name": "John",
          "last_name": "Doe",
          "email": "[email protected]",
          "phone_number": "+989124834198",
          "created_at": 1791656536.298348,
          "id": "eec6fb86-a0f1-41fc-a531-eac906be98fc",
          "address_id": null,
          "cover_image_url": null,
          "profile_image_url": null,
          "updated_at": 1791656536.298355,
          "user_status": "Active",
          "profile_image_thumbnail_url": null,
          "cover_image_thumbnail_url": null,
          "email_confirmed": false,
          "timezone": "America/Chicago",
          "user_type": "Agent",
          "deleted_at": null,
          "phone_confirmed": false,
          "is_shadow": null,
          "personal_room": "4c513e01-2a2b-4e9e-999e-27896b1e243c",
          "brand": null,
          "fake_email": null,
          "features": null,
          "last_seen_at": null,
          "email_signature": "This is my signature.",
          "daily_enabled": false,
          "email_quota": 30000,
          "website": null,
          "instagram": null,
          "twitter": null,
          "linkedin": null,
          "youtube": null,
          "facebook": null,
          "designation": null,
          "tiktok": null,
          "mfa_enabled": false,
          "xpressdocs_user_id": null,
          "bio": "This is my bio.",
          "current_time": "1:22 PM - Saturday Oct 10, 2026",
          "push_allowed": true,
          "agents": null,
          "last_seen_type": null,
          "active_brand": null,
          "display_name": "John Doe",
          "abbreviated_display_name": "John",
          "online_state": "Offline",
          "has_password": true
        },
        "recommendation": null,
        "auxiliary_subject": null,
        "subject_class": "User",
        "auxiliary_subject_class": null,
        "extra_subject_class": null,
        "extra_object_class": null,
        "deleted_at": null,
        "specific": null,
        "title": null,
        "data": null,
        "sound": null,
        "app": "rechat",
        "transports": null,
        "phone_number": null,
        "notification_type": "UserInvitedRoom",
        "seen": true,
        "recommendations": null,
        "objects": null,
        "subjects": [
          {
            "type": "user",
            "username": null,
            "first_name": "John",
            "last_name": "Doe",
            "email": "[email protected]",
            "phone_number": "+17038213223",
            "created_at": 1791656536.209472,
            "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1791656536.209491,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": false,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": null,
            "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
            "brand": null,
            "fake_email": null,
            "features": null,
            "last_seen_at": null,
            "email_signature": "This is my signature.",
            "daily_enabled": false,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": null,
            "bio": "This is my bio.",
            "current_time": "1:22 PM - Saturday Oct 10, 2026",
            "push_allowed": true,
            "agents": null,
            "last_seen_type": null,
            "active_brand": null,
            "display_name": "John Doe",
            "abbreviated_display_name": "John",
            "online_state": "Offline",
            "has_password": true
          }
        ]
      },
      "reference": null,
      "mentions": null,
      "activity": null,
      "role": null,
      "attachments": [],
      "files": null,
      "email_campaigns": null,
      "contacts": null,
      "crm_tasks": null,
      "compact_listings": null,
      "input_forms": null,
      "artifacts": null,
      "websites": null,
      "social_posts": null,
      "print_campaigns": null,
      "template_instances": null,
      "brand_assets": null,
      "acked_by": null,
      "deliveries": [
        {
          "user": "a884856b-472f-4381-9c85-ab207588398e",
          "delivery_type": "sms",
          "type": "notification_delivery",
          "created_at": "2026-10-10T18:22:16.834339+00:00"
        }
      ]
    },
    "notification_settings": {
      "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf": "N_ALL"
    },
    "users": [
      {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+17038213223",
        "created_at": 1791656536.209472,
        "id": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.209491,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "b4993399-7221-4f32-a739-4510efc4fb7f",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      },
      {
        "type": "user",
        "username": null,
        "first_name": "",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": "+18598161689",
        "created_at": 1791656536.349459,
        "id": "a884856b-472f-4381-9c85-ab207588398e",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.349463,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c2b5a291-cf4a-4d08-af53-4e5a4c5fc97f",
        "brand": null,
        "fake_email": true,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "+18598161689",
        "abbreviated_display_name": "+18598161689",
        "online_state": "Offline",
        "has_password": false
      },
      {
        "type": "user",
        "username": null,
        "first_name": "[email protected]",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1791656536.348933,
        "id": "d9f0ef2b-1dcf-4cee-ae66-7a0de2c70476",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.348939,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "c401c766-e4a6-4e3e-9415-5668a356c534",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": null,
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "[email protected] ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      },
      {
        "type": "user",
        "username": null,
        "first_name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "phone_number": "+989124834198",
        "created_at": 1791656536.298348,
        "id": "eec6fb86-a0f1-41fc-a531-eac906be98fc",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1791656536.298355,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": null,
        "personal_room": "4c513e01-2a2b-4e9e-999e-27896b1e243c",
        "brand": null,
        "fake_email": null,
        "features": null,
        "last_seen_at": null,
        "email_signature": "This is my signature.",
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "bio": "This is my bio.",
        "current_time": "1:22 PM - Saturday Oct 10, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": null,
        "display_name": "John Doe",
        "abbreviated_display_name": "John",
        "online_state": "Offline",
        "has_password": true
      }
    ],
    "attachments": [
      {
        "id": "11a07326-2e80-47a3-9a26-c9f0f16202a2",
        "created_at": 1791656537.036299,
        "updated_at": 1791656537.036299,
        "deleted_at": null,
        "created_by": "a250c267-e8bb-4ef3-ba83-5e4f5e438ecf",
        "path": "735db31f-5006-49c2-a5f0-81fb38c339bb/85ffe9b0-c4d7-11f1-89da-fb554657817f.jpg",
        "name": "sample.jpg",
        "public": false,
        "type": "file",
        "url": "https://private-cdn.irish.rechat.com/735db31f-5006-49c2-a5f0-81fb38c339bb/85ffe9b0-c4d7-11f1-89da-fb554657817f.jpg?Expires=1791742937037&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=VfILB69kfuu4IZwa2K5gS-8y-04lTyzJ330dQheRacxmxOk0qCSgAR7gP0ztX2xhQCQlLdUhh0RPifpcPrLOBJ0ZRHKH7jjfiW4hd0sBb~m3J7aSJcbEuFab0OhsBn3zXZQa3XnUvBX-6UuQTI1FbnO4d9OgzGFMFBeuXzfBsr2uzgtUShcraEBwlcmw9VDAt8K~L08ucqJvWJGtzxMAX~S-CKe88GpOTe-dOtBwz1BpSDes3YHv9pjaRYYbZiMDs69BOahNdv3G8inhUP7FueJi5fsLX2Ji21t-O3vnlAEtoPauJPGERcrTUdFoMe7ydFUhuIn8xYQXDS2SAGmMPA__",
        "preview_url": "https://private-cdn.irish.rechat.com/735db31f-5006-49c2-a5f0-81fb38c339bb/85ffe9b0-c4d7-11f1-89da-fb554657817f.jpg?Expires=1791742937037&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=VfILB69kfuu4IZwa2K5gS-8y-04lTyzJ330dQheRacxmxOk0qCSgAR7gP0ztX2xhQCQlLdUhh0RPifpcPrLOBJ0ZRHKH7jjfiW4hd0sBb~m3J7aSJcbEuFab0OhsBn3zXZQa3XnUvBX-6UuQTI1FbnO4d9OgzGFMFBeuXzfBsr2uzgtUShcraEBwlcmw9VDAt8K~L08ucqJvWJGtzxMAX~S-CKe88GpOTe-dOtBwz1BpSDes3YHv9pjaRYYbZiMDs69BOahNdv3G8inhUP7FueJi5fsLX2Ji21t-O3vnlAEtoPauJPGERcrTUdFoMe7ydFUhuIn8xYQXDS2SAGmMPA__",
        "mime": "image/jpeg"
      }
    ],
    "total_alerts": null,
    "total_favorites": null,
    "proposed_title": "[email protected], +18598161689, John"
  }
}

Archive a room

Archive a room
DELETE/rooms/

Example URI

DELETE /rooms/

Generated by aglio on 10 Oct 2026